<?php
	$region_slug = $this->params['region'];
	
	$model = new Cubix_Geography_Regions();
	$region = $model->getRegionBySlug($region_slug);


	$gender = GENDER_FEMALE;
	$is_agency = null;
	// If there are some filters specified, than statistics will be counted
	// for that criterias, otherwise total counts of escorts will be shown
	if ( is_array($this->params['filter']) ) {
		foreach ($this->params['filter'] as $v) {
			// Get gender
			if ( array_search('boys', $v, true) ) {
				$gender = GENDER_MALE;
			}
			elseif ( array_search('trans', $v, true) ) {
				$gender = GENDER_TRANS;
			}
			
			// Get dependentness of escort
			if ( array_search('agency', $v, true) ) {
				$is_agency = true;
			}
			elseif ( array_search('independents', $v, true) ) {
				$is_agency = false;
			}
		}
	}

	// <editor-fold defaultstate="collapsed" desc="Sort Functions">
	$fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
	// </editor-fold>

	$cities = Model_Statistics::getCities($region->id, $gender, $is_agency, null, false);
	usort($cities, $fn_order_title);

	$country_iso = Cubix_Application::getById()->iso;
?>

<? if ( count($cities) > 0 ): ?>
<div class="bbox" id="city-list">
	<span class="strong"><?= $this->t('cities_in_region', array('REGION' => $region->title)) ?>:</span>
	<div class="clear"></div>

	<? foreach ($cities as $i => $city): ?>
	<? if ( 0 == $i % 7 ): ?>
	<?= ( 0 != $counter )? '</ul>' : ''; ?>
	<ul class="region-cities-list">
	<? endif; ?>

		<li>
			<a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'region' => null, 'filter' => null, 'page' => null)) ?>"><span><?= $city->city_title ?></span> (<?= $city->escort_count ?>)</a>
		</li>

		<? $counter++; ?>
	<?php endforeach;?>
			</ul>
	<div class="clear"></div>
</div>
<?php endif; ?>
